#pragma once
#include <string>
#include "networktables/NetworkTable.h"
#include "networktables/NetworkTableInstance.h"
#include <networktables/NetworkTableEntry.h>
#include <memory>

class Limelight {
    public:
    nt::NetworkTableEntry ledMode;
    Limelight();
    double get(std::string entry);
    void set(std::string entry, double value);
    private:
    nt::NetworkTableInstance inst;
    std::shared_ptr<nt::NetworkTable> table;
};