#include "Limelight.h"
Limelight::Limelight(){
    inst = nt::NetworkTableInstance::GetDefault();
    table = inst.GetTable("limelight");
}

double Limelight::get(std::string entry){
    nt::NetworkTableEntry tableEntry = table->GetEntry(entry);
    return tableEntry.GetDouble(0);
}

void Limelight::set(std::string entry, double value){
    nt::NetworkTableEntry tableEntry = table->GetEntry(entry);
    tableEntry.SetDouble(value);
}